=== debian/changelog ===
pure-gen (0.25-1) jammy; urgency=medium

  * New release.

 -- Albert Graef <aggraef@gmail.com>  Sun, 07 Aug 2022 18:45:38 +0200

pure-gen (0.24-1) jammy; urgency=medium

  * New release.

 -- Albert Graef <aggraef@gmail.com>  Fri, 05 Aug 2022 08:14:15 +0200

pure-gen (0.23-1) focal; urgency=medium

  * New release.

 -- Albert Graef <aggraef@gmail.com>  Fri, 01 May 2020 09:37:11 +0200

pure-gen (0.22-1) disco; urgency=medium

  * New release.

 -- Albert Graef <aggraef@gmail.com>  Fri, 16 Aug 2019 00:02:49 +0200

pure-gen (0.21-2) cosmic; urgency=medium

  * Work around Launchpad issues with the maintainer-build target. We
    don't have a working internet connection there, so the 2.x version of
    cabal-install won't work, and we have to directly invoke
    language-c/Setup.hs instead.

 -- Albert Graef <aggraef@gmail.com>  Mon, 29 Oct 2018 21:35:58 +0100

pure-gen (0.21-1) bionic; urgency=medium

  * Compile against the included language-c 0.5.0, as it is not available
    in Ubuntu any more, and link statically again.

 -- Albert Graef <aggraef@gmail.com>  Sat, 24 Feb 2018 15:58:30 +0100

pure-gen (0.20-3) artful; urgency=medium

  * Add runtime dependency libghc-language-c-dev, as the library is now
    linked dynamically in recent ghc versions

 -- Albert Graef <aggraef@gmail.com>  Mon, 11 Dec 2017 14:29:38 +0100

pure-gen (0.20-2) xenial; urgency=medium

  * Missing -fPIC flag (batch compilation)

 -- Albert Graef <aggraef@gmail.com>  Mon, 09 Jan 2017 09:29:51 +0100

pure-gen (0.20-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Tue, 25 Nov 2014 20:13:19 +0100

pure-gen (0.19-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Wed, 29 Oct 2014 01:51:06 +0100

pure-gen (0.18-2) trusty; urgency=low

  * Latest upstream fixes (PCRE compatibility)

 -- Albert Graef <aggraef@gmail.com>  Tue, 28 Oct 2014 23:54:19 +0100

pure-gen (0.18-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Wed, 17 Sep 2014 00:26:03 +0200

pure-gen (0.17-2) trusty; urgency=low

  * Upstream bugfix: pure-gen dumps core on illegal instruction, depending
    on the build host's cpu type. Prevent this by passing the
    -mcpu=generic option to llc when batch-compiling the script.

 -- Albert Graef <aggraef@gmail.com>  Mon, 15 Sep 2014 00:31:44 +0200

pure-gen (0.17-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Fri, 12 Sep 2014 12:37:09 +0200

pure-gen (0.16-1) precise; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Thu, 19 Sep 2013 08:17:29 +0200

pure-gen (0.15-5) natty; urgency=low

  * Make 'make check' work with newer gcc versions

 -- Albert Graef <Dr.Graef@t-online.de>  Sun, 02 Dec 2012 20:17:20 +0100

pure-gen (0.15-4) natty; urgency=low

  * Sync revision between distros

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 28 May 2012 11:50:57 +0200

pure-gen (0.15-3) natty; urgency=low

  * Make the package compile with both Language.C 0.3.x and 0.4.x

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 28 May 2012 09:52:46 +0200

pure-gen (0.15-2) natty; urgency=low

  * Dependency fixes

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 28 May 2012 00:59:34 +0200

pure-gen (0.15-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 07:43:35 +0200
