=== debian/control ===
Source: pure-gen
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 9), pure, pure-dev, ghc, happy, alex, cabal-install, libghc-array-dev, libghc-base-dev, libghc-bytestring-dev, libghc-containers-dev, libghc-directory-dev, libghc-filepath-dev, libghc-pretty-dev, libghc-process-dev, libghc-syb-dev
Standards-Version: 3.9.1
Homepage: https://agraef.github.io/pure-lang/

Package: pure-gen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc
Description: C bindings generator for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides the pure-gen utility which can generate
 Pure bindings for C functions from C header files.
